Bug 868824 - FC18: Missing perl interpreter, dependency for s390-tools
Summary: FC18: Missing perl interpreter, dependency for s390-tools
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax   
(Show other bugs)
Version: 18
Hardware: s390x
OS: All
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2012-10-22 08:40 UTC by IBM Bug Proxy
Modified: 2013-02-04 18:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-04 18:15:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot for reported observation (420.91 KB, image/jpeg)
2012-10-22 08:41 UTC, IBM Bug Proxy
no flags Details
The screen dump showing the fix. (253.29 KB, text/plain)
2012-10-23 10:41 UTC, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 85783 None None None 2012-10-22 08:40:50 UTC

Description IBM Bug Proxy 2012-10-22 08:40:50 UTC
== Comment: #0 - Manik Bajpai <manibajp@in.ibm.com> - 2012-10-05 02:37:13 ==
The package s390-tools is included in the 'install.img'. It is dependent on the 'perl' interpreter and RTE, which is missing. To replicate the issue login as 'root' (and not as install) once anaconda has started running. Try running some s390-tool (like lsluns), and observe the error message(s).

== Comment: #4 - Manik Bajpai <manibajp@in.ibm.com> - 2012-10-22 03:32:05 ==
Things to note about this bug:

1. It does not block the installation currently.
2. It will show up once an (s390) tool like 'lsluns' is used during the installation phase, in which case the dependency (perl RTE) will be missing.
3. The s390-tools is a part of 'install.img', and not anaconda installer, per se.

Comment 1 IBM Bug Proxy 2012-10-22 08:41:10 UTC
Created attachment 631328 [details]
Screen shot for reported observation

Comment 3 IBM Bug Proxy 2012-10-23 10:20:52 UTC
------- Comment From vaish123@in.ibm.com 2012-10-23 10:10 EDT-------
Tested with http://s390.koji.fedoraproject.org/tree/test/20121022/s390x/os/. Works fine.

Comment 4 IBM Bug Proxy 2012-10-23 10:41:14 UTC
Created attachment 632022 [details]
The screen dump showing the fix.


------- Comment (attachment only) From manibajp@in.ibm.com 2012-10-23 10:34 EDT-------

Comment 5 Fedora Update System 2012-11-07 02:09:12 UTC
lorax-18.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/lorax-18.22-1.fc18

Comment 6 Fedora Update System 2012-11-07 18:49:57 UTC
Package lorax-18.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lorax-18.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17718/lorax-18.22-1.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Admin XMLRPC Client 2013-02-04 15:04:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.